Package com.sas.services.information.publicobject

# Interface PublicObjectContainerInterface

All Superinterfaces:
  `PublicObjectInterface`, `Remote`

All Known Subinterfaces:
  `FavoritesContainer`, `FavoritesFolder`, `FavoritesGroup`, `FilteredFolderInterface`, `FilteredRepositoryInterface`, `FolderInterface`, `MutableContainerInterface`, `MyDocumentsInterface`, `MyInboxInterface`, `MyResultsInterface`, `PersonalRepositoryInterface`, `RootFolderInterface`, `SearchFolder`, `VirtualFolderInterface`

All Known Implementing Classes:
  `DavPerson`, `FilteredFolder`, `FilteredRepository`, `Folder`, `MyDocuments`, `MyInbox`, `MyResults`, `PersonalRepository`, `ServerVirtualFolder`, `VirtualFolder`

public interface PublicObjectContainerInterface extends PublicObjectInterface
This interface describes a container of Public Objects. It is mainly used for objects such as Folder to hold their contents, however it could be used to have a table contain its columns.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PublicObjectInterface`
  `getChildAt(int index)`
  Returns a child item at the specified location
  `int`
  `getChildCount()`
  Returns the number of children within this container.
  `List`
  `getChildren()`
  Get a List of the children of this container.
  `List`
  `getChildren(String type)`
  Deprecated.
  As of 9.3, this method is no longer used
  `PublicObjectInterface`
  `newChild(String type, String name)`
  Deprecated.
  As of 9.3, this method is no longer used

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getChildren

    List getChildren() throws ServiceException, RemoteException
    Get a List of the children of this container.
    Returns:
      All child nodes below this container. For folder, this includes subfolders and members.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getChildAt

    PublicObjectInterface getChildAt(int index) throws ServiceException, RemoteException
    Returns a child item at the specified location
    Parameters:
      `index` - the index of the child
    Returns:
      the child item at the specified index
    Throws:
      `ServiceException`
      `RemoteException`
    Since:
      9.3

  - ### getChildCount

    int getChildCount() throws ServiceException, RemoteException
    Returns the number of children within this container.
    Returns:
      child count
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.
    Since:
      9.3

  - ### getChildren

    List getChildren(String type) throws ServiceException, RemoteException
    Deprecated.
    As of 9.3, this method is no longer used
    Get a list of children of a specific type. The type string should be the unlocalized type, listed as the "Type Abbreviation" in the type dictionary.
    Parameters:
      `type` - The "type abbreviation" which will be used to filter the children returned from the container.
    Returns:
      A List of child elements that match the type specified.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### newChild

    PublicObjectInterface newChild(String type, String name) throws ServiceException, RemoteException
    Deprecated.
    As of 9.3, this method is no longer used
    Create a new metadata object and add it to the container.
    Parameters:
      `type` - The public object type to add to the container.
      `name` - The name of the new object
    Returns:
      The newly created public object.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object faiure.